com.r3corda.core.schemas / PersistentStateRef

# PersistentStateRef

`data class PersistentStateRef : Serializable`

Embedded StateRef representation used in state mapping.

### Constructors

<init> | `PersistentStateRef(stateRef: StateRef)` `PersistentStateRef()``PersistentStateRef(txId: String?, index: Int?)` Embedded StateRef representation used in state mapping.

### Properties

index | `var index: Int?`
txId | `var txId: String?`